NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::DatumPlaneBuilder Class Reference

Represents a datum plane feature builder. More...

Inheritance diagram for NXOpen::Features::DatumPlaneBuilder:
NXOpen::Features::DatumBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  AlternateSolution {
  AlternateSolutionTangent, AlternateSolutionNormal, AlternateSolutionBinormal, AlternateSolutionOppositeTangent,
  AlternateSolutionOppositeNormal, AlternateSolutionOppositeBinormal, AlternateSolutionProject, AlternateSolutionProjectView
}
 Specifies the alternate solution for a datum plane using point on curve method. More...
 
enum  ConstraintType {
  ConstraintTypeUndefined, ConstraintTypeCoincident, ConstraintTypeParallel, ConstraintTypePerpendicular,
  ConstraintTypeCenter, ConstraintTypeTangent, ConstraintTypeDistance, ConstraintTypeAngle,
  ConstraintTypeFrenet
}
 Specifies different constraint types of selected geometries. More...
 
enum  CurveOption { CurveOptionDistance, CurveOptionPercent }
 Specifies the distance on the curve as absolute distance or relative distance as percentage. More...
 
enum  FixedType { FixedTypeAll, FixedTypeXy, FixedTypeYz, FixedTypeZx }
 Specifies the fixed type datum plane going thru only one specific plane or thru all planes. More...
 
enum  UseArcLength {
  UseArcLengthNoPoint, UseArcLengthFirstPoint, UseArcLengthSecondPoint, UseArcLengthThirdPoint,
  UseArcLengthFirstAndSecondPoint, UseArcLengthFirstAndThirdPoint, UseArcLengthSecondAndThirdPoint, UseArcLengthAllPoints
}
 Specifies points for which arclength is to be used. More...
 

Public Member Functions

NXOpen::DatumPlaneGetDatum ()
 The datum display object this is the feature output. More...
 
NXOpen::PlaneGetPlane ()
 The plane is use to create the feature. More...
 
bool OffsetInstance ()
 Returns the offset instance plane flag
Created in NX8.5.0. More...
 
bool ResizeDuringUpdate ()
 Returns the resize during update
Created in NX8.0.0. More...
 
void SetCornerPoints (const NXOpen::Point3d &corner1, const NXOpen::Point3d &corner2, const NXOpen::Point3d &corner3, const NXOpen::Point3d &corner4)
 Sets corner points to builder
Created in NX7.5.0. More...
 
void SetFaceAndOffset (NXOpen::Face *face, double offsetValue, const NXString &expression)
 Sets one face object and offset
Created in NX3.0.0. More...
 
void SetFaceAndOffset (NXOpen::Face *face, double offsetValue, const char *expression)
 Sets one face object and offset
Created in NX3.0.0. More...
 
void SetFixedDatumPlane (NXOpen::Features::DatumPlaneBuilder::FixedType type)
 Sets type of fixed datum plane. More...
 
void SetGeometryAndConstraints (NXOpen::DisplayableObject *geometry1, NXOpen::Features::DatumPlaneBuilder::ConstraintType geometryConstraintType1, int constraintAttribute1, double constraintValue1, const NXString &constraint1, NXOpen::DisplayableObject *geometry2, NXOpen::Features::DatumPlaneBuilder::ConstraintType geometryConstraintType2, int constraintAttribute2, double constraintValue2, const NXString &constraint2)
 Sets two different geometric objects. More...
 
void SetGeometryAndConstraints (NXOpen::DisplayableObject *geometry1, NXOpen::Features::DatumPlaneBuilder::ConstraintType geometryConstraintType1, int constraintAttribute1, double constraintValue1, const char *constraint1, NXOpen::DisplayableObject *geometry2, NXOpen::Features::DatumPlaneBuilder::ConstraintType geometryConstraintType2, int constraintAttribute2, double constraintValue2, const char *constraint2)
 Sets two different geometric objects. More...
 
void SetOffsetInstance (bool offsetInstance)
 Sets the offset instance plane flag
Created in NX8.5.0. More...
 
void SetPointAndDirection (NXOpen::Point *point, NXOpen::Direction *direction)
 Sets point and direction
Created in NX3.0.0. More...
 
void SetPointOnCurve (double arcLength, const NXString &constraint, NXOpen::Features::DatumPlaneBuilder::AlternateSolution alternateSolution, NXOpen::Features::DatumPlaneBuilder::CurveOption option, NXOpen::ICurve *curve)
 Sets curve or edge and arc length
Created in NX3.0.0. More...
 
void SetPointOnCurve (double arcLength, const char *constraint, NXOpen::Features::DatumPlaneBuilder::AlternateSolution alternateSolution, NXOpen::Features::DatumPlaneBuilder::CurveOption option, NXOpen::ICurve *curve)
 Sets curve or edge and arc length
Created in NX3.0.0. More...
 
void SetPointOnCurve (double arcLength, const NXString &constraint, NXOpen::Features::DatumPlaneBuilder::AlternateSolution alternateSolution, NXOpen::Features::DatumPlaneBuilder::CurveOption option, NXOpen::ICurve *curve, NXOpen::Direction *direction)
 Sets curve or edge and arc length
Created in NX3.0.0. More...
 
void SetPointOnCurve (double arcLength, const char *constraint, NXOpen::Features::DatumPlaneBuilder::AlternateSolution alternateSolution, NXOpen::Features::DatumPlaneBuilder::CurveOption option, NXOpen::ICurve *curve, NXOpen::Direction *direction)
 Sets curve or edge and arc length
Created in NX3.0.0. More...
 
void SetPointOnCurve (double arcLength, const NXString &constraint, NXOpen::Features::DatumPlaneBuilder::CurveOption option, NXOpen::ICurve *curve, NXOpen::DisplayableObject *secondGeometry)
 Sets curve or edge object and arc length with other geometry selected. More...
 
void SetPointOnCurve (double arcLength, const char *constraint, NXOpen::Features::DatumPlaneBuilder::CurveOption option, NXOpen::ICurve *curve, NXOpen::DisplayableObject *secondGeometry)
 Sets curve or edge object and arc length with other geometry selected. More...
 
void SetResizeDuringUpdate (bool resize)
 Sets the resize during update
Created in NX8.0.0. More...
 
void SetThreePoints (NXOpen::Point *point1, NXOpen::Point *point2, NXOpen::Point *point3, NXOpen::Features::DatumPlaneBuilder::UseArcLength useArcLength)
 Sets three different points. More...
 
NXOpen::Features::FeatureUpdateFeature ()
 Update the feature if the feature does not exist then create it. More...
 
- Public Member Functions inherited from NXOpen::Features::DatumBuilder
NXOpen::DatumConstraintCreateConstraint ()
 Creates a new empty constraint object. More...
 
std::vector
< NXOpen::DatumConstraint * > 
GetConstraints ()
 Gets the contraint objects that define the positioning of this datum. More...
 
void SetConstraints (const std::vector< NXOpen::DatumConstraint * > &constraints)
 Sets the contraint objects that define the positioning of this datum. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a datum plane feature builder.

Provides methods to create datum planes thru three points, point and direction and point on curve
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateDatumPlaneBuilder

Created in NX3.0.0.

Member Enumeration Documentation

Specifies the alternate solution for a datum plane using point on curve method.

Enumerator
AlternateSolutionTangent 

Indicates the datum plane as tangent to curve.

AlternateSolutionNormal 

Datum plane at normal to curve.

AlternateSolutionBinormal 

Datum plane at binormal to curve.

AlternateSolutionOppositeTangent 

Datum plane at opposite to tangent to curve.

AlternateSolutionOppositeNormal 

Datum plane at opposite to normal to curve.

AlternateSolutionOppositeBinormal 

Datum plane at opposite to binormal to curve.

AlternateSolutionProject 

This direction is calculated by projecting a point selected along a curve to a line, a datum axis, an edge of a solid, a planar face or a datum plane.

AlternateSolutionProjectView 

Datum plane direction is calculated during creation based on the view plane.

The datum plane normal is projected onto the view plane during creation time. The datum plane normal is maintained constant thereafter

Specifies different constraint types of selected geometries.

Enumerator
ConstraintTypeUndefined 

Not defined.

ConstraintTypeCoincident 

Coincident constraint.

ConstraintTypeParallel 

Parallel constraint.

ConstraintTypePerpendicular 

Perpendicular constraint.

ConstraintTypeCenter 

Center constraint.

ConstraintTypeTangent 

Tangent constraint.

ConstraintTypeDistance 

Distance constraint.

ConstraintTypeAngle 

Angle constraint.

ConstraintTypeFrenet 

Frenet constraint.

Specifies the distance on the curve as absolute distance or relative distance as percentage.

Enumerator
CurveOptionDistance 

Absolute distance.

CurveOptionPercent 

Relative distance as percentage.

Specifies the fixed type datum plane going thru only one specific plane or thru all planes.

Enumerator
FixedTypeAll 

Fixed datum plane thru all planes.

FixedTypeXy 

Fixed datum plane thru XY plane.

FixedTypeYz 

Fixed datum plane thru YZ plane.

FixedTypeZx 

Fixed datum plane thru ZX plane.

Specifies points for which arclength is to be used.

Percentage of arclength is used for points for which arclength option is not selected. Specified for creation of datum plane using thru three points method.

Enumerator
UseArcLengthNoPoint 

All points use percentage of arclength.

UseArcLengthFirstPoint 

Only first point uses arclength.

UseArcLengthSecondPoint 

Only second point uses arclength.

UseArcLengthThirdPoint 

Only third point uses arclength.

UseArcLengthFirstAndSecondPoint 

Only first and second point use arclength.

UseArcLengthFirstAndThirdPoint 

Only first and third point use arclength.

UseArcLengthSecondAndThirdPoint 

Only second and third point use arclength.

UseArcLengthAllPoints 

All points use arclength.

Member Function Documentation

NXOpen::DatumPlane* NXOpen::Features::DatumPlaneBuilder::GetDatum ( )

The datum display object this is the feature output.

Returns

Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")
NXOpen::Plane* NXOpen::Features::DatumPlaneBuilder::GetPlane ( )

The plane is use to create the feature.

Returns

Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")
bool NXOpen::Features::DatumPlaneBuilder::OffsetInstance ( )

Returns the offset instance plane flag
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::DatumPlaneBuilder::ResizeDuringUpdate ( )

Returns the resize during update
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

void NXOpen::Features::DatumPlaneBuilder::SetCornerPoints ( const NXOpen::Point3d corner1,
const NXOpen::Point3d corner2,
const NXOpen::Point3d corner3,
const NXOpen::Point3d corner4 
)

Sets corner points to builder
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
corner1corner1
corner2corner2
corner3corner3
corner4corner4
void NXOpen::Features::DatumPlaneBuilder::SetFaceAndOffset ( NXOpen::Face face,
double  offsetValue,
const NXString expression 
)

Sets one face object and offset
Created in NX3.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
faceFace object
offsetValueOffset double parameter
expressionOffset string parameter
void NXOpen::Features::DatumPlaneBuilder::SetFaceAndOffset ( NXOpen::Face face,
double  offsetValue,
const char *  expression 
)

Sets one face object and offset
Created in NX3.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
faceFace object
offsetValueOffset double parameter
expressionOffset string parameter
void NXOpen::Features::DatumPlaneBuilder::SetFixedDatumPlane ( NXOpen::Features::DatumPlaneBuilder::FixedType  type)

Sets type of fixed datum plane.


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
typeIndicates fixed datum plane type
void NXOpen::Features::DatumPlaneBuilder::SetGeometryAndConstraints ( NXOpen::DisplayableObject geometry1,
NXOpen::Features::DatumPlaneBuilder::ConstraintType  geometryConstraintType1,
int  constraintAttribute1,
double  constraintValue1,
const NXString constraint1,
NXOpen::DisplayableObject geometry2,
NXOpen::Features::DatumPlaneBuilder::ConstraintType  geometryConstraintType2,
int  constraintAttribute2,
double  constraintValue2,
const NXString constraint2 
)

Sets two different geometric objects.

Possible combinations are:

  • If first constrain is Through Datum Axis, then the second contraint can be:
    • Through Axis Through Edge
    • Linear Geometry Through Face Axis Through Point Angle to Plane
  • If first constrain is Through Solid Edge and Linear Geometry, then the second contraint can be:
    • Through Axis Through Edge
    • Linear Geometry Through Face Axis Through Point Angle to Plane
  • If first constrain is Through Face Axis, then the second contraint can be:
    • Through Axis Through Edge
    • Linear Geometry Through Face Axis Through Point Angle to Plane
  • If first constrain is Through Point, then the second contraint can be:
    • Through Axis Through Edge
    • Linear Geometry Parallel to Plane Perpendicular to Curve Parallel to Surface's Tangent Plane
  • If first constrain is Angle to Plane, then the second contraint can be:
    • Through Axis Through Edge
    • Linear Geometry Through Face Axis
  • If first constrain is Tangent to Face, then the second contraint can be:
    • Through Point Angle to Plane
    • 0 Deg Angle to Plane
    • 90 Deg Tangent to Face
  • If first constrain is Through Curve, then the second contraint can be:

    • Through Point Perpendicular to View Plane


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
geometry1First geometric object
geometryConstraintType1Constraint type of first geometry
constraintAttribute1Constraint attribute value of first geometry
constraintValue1Constraint value parameter of first geometry
constraint1Constraint attached with first geometric object. Set to "0.0" in case value is not specified
geometry2Second geometric object
geometryConstraintType2Constraint type of first geometry
constraintAttribute2Constraint attribute value of second geometry
constraintValue2Constraint value parameter of second geometry
constraint2Constraint attached with second geometric object. Set to "0.0" in case value is not specified
void NXOpen::Features::DatumPlaneBuilder::SetGeometryAndConstraints ( NXOpen::DisplayableObject geometry1,
NXOpen::Features::DatumPlaneBuilder::ConstraintType  geometryConstraintType1,
int  constraintAttribute1,
double  constraintValue1,
const char *  constraint1,
NXOpen::DisplayableObject geometry2,
NXOpen::Features::DatumPlaneBuilder::ConstraintType  geometryConstraintType2,
int  constraintAttribute2,
double  constraintValue2,
const char *  constraint2 
)

Sets two different geometric objects.

Possible combinations are:

  • If first constrain is Through Datum Axis, then the second contraint can be:
    • Through Axis Through Edge
    • Linear Geometry Through Face Axis Through Point Angle to Plane
  • If first constrain is Through Solid Edge and Linear Geometry, then the second contraint can be:
    • Through Axis Through Edge
    • Linear Geometry Through Face Axis Through Point Angle to Plane
  • If first constrain is Through Face Axis, then the second contraint can be:
    • Through Axis Through Edge
    • Linear Geometry Through Face Axis Through Point Angle to Plane
  • If first constrain is Through Point, then the second contraint can be:
    • Through Axis Through Edge
    • Linear Geometry Parallel to Plane Perpendicular to Curve Parallel to Surface's Tangent Plane
  • If first constrain is Angle to Plane, then the second contraint can be:
    • Through Axis Through Edge
    • Linear Geometry Through Face Axis
  • If first constrain is Tangent to Face, then the second contraint can be:
    • Through Point Angle to Plane
    • 0 Deg Angle to Plane
    • 90 Deg Tangent to Face
  • If first constrain is Through Curve, then the second contraint can be:

    • Through Point Perpendicular to View Plane


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
geometry1First geometric object
geometryConstraintType1Constraint type of first geometry
constraintAttribute1Constraint attribute value of first geometry
constraintValue1Constraint value parameter of first geometry
constraint1Constraint attached with first geometric object. Set to "0.0" in case value is not specified
geometry2Second geometric object
geometryConstraintType2Constraint type of first geometry
constraintAttribute2Constraint attribute value of second geometry
constraintValue2Constraint value parameter of second geometry
constraint2Constraint attached with second geometric object. Set to "0.0" in case value is not specified
void NXOpen::Features::DatumPlaneBuilder::SetOffsetInstance ( bool  offsetInstance)

Sets the offset instance plane flag
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
offsetInstanceoffset instance
void NXOpen::Features::DatumPlaneBuilder::SetPointAndDirection ( NXOpen::Point point,
NXOpen::Direction direction 
)

Sets point and direction
Created in NX3.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
pointPoint
directionDirection
void NXOpen::Features::DatumPlaneBuilder::SetPointOnCurve ( double  arcLength,
const NXString constraint,
NXOpen::Features::DatumPlaneBuilder::AlternateSolution  alternateSolution,
NXOpen::Features::DatumPlaneBuilder::CurveOption  option,
NXOpen::ICurve curve 
)

Sets curve or edge and arc length
Created in NX3.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
arcLengthArc length
constraintConstraint expression. Usually same as arc_length
alternateSolutionAlternate solution
optionAbsolute distance or relative distance
curvecurve or edge
void NXOpen::Features::DatumPlaneBuilder::SetPointOnCurve ( double  arcLength,
const char *  constraint,
NXOpen::Features::DatumPlaneBuilder::AlternateSolution  alternateSolution,
NXOpen::Features::DatumPlaneBuilder::CurveOption  option,
NXOpen::ICurve curve 
)

Sets curve or edge and arc length
Created in NX3.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
arcLengthArc length
constraintConstraint expression. Usually same as arc_length
alternateSolutionAlternate solution
optionAbsolute distance or relative distance
curvecurve or edge
void NXOpen::Features::DatumPlaneBuilder::SetPointOnCurve ( double  arcLength,
const NXString constraint,
NXOpen::Features::DatumPlaneBuilder::AlternateSolution  alternateSolution,
NXOpen::Features::DatumPlaneBuilder::CurveOption  option,
NXOpen::ICurve curve,
NXOpen::Direction direction 
)

Sets curve or edge and arc length
Created in NX3.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
arcLengthArc length
constraintConstraint expression. Usually same as arc_length
alternateSolutionAlternate solution
optionAbsolute distance or relative distance
curveCurve or edge
directionDirection
void NXOpen::Features::DatumPlaneBuilder::SetPointOnCurve ( double  arcLength,
const char *  constraint,
NXOpen::Features::DatumPlaneBuilder::AlternateSolution  alternateSolution,
NXOpen::Features::DatumPlaneBuilder::CurveOption  option,
NXOpen::ICurve curve,
NXOpen::Direction direction 
)

Sets curve or edge and arc length
Created in NX3.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
arcLengthArc length
constraintConstraint expression. Usually same as arc_length
alternateSolutionAlternate solution
optionAbsolute distance or relative distance
curveCurve or edge
directionDirection
void NXOpen::Features::DatumPlaneBuilder::SetPointOnCurve ( double  arcLength,
const NXString constraint,
NXOpen::Features::DatumPlaneBuilder::CurveOption  option,
NXOpen::ICurve curve,
NXOpen::DisplayableObject secondGeometry 
)

Sets curve or edge object and arc length with other geometry selected.


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
arcLengthArc length
constraintConstraint expression. Usually same as arc_length
optionWhether the absolute distance has been selected or relative
curveCurve or Edge object already created
secondGeometrySecond geometric object
void NXOpen::Features::DatumPlaneBuilder::SetPointOnCurve ( double  arcLength,
const char *  constraint,
NXOpen::Features::DatumPlaneBuilder::CurveOption  option,
NXOpen::ICurve curve,
NXOpen::DisplayableObject secondGeometry 
)

Sets curve or edge object and arc length with other geometry selected.


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
arcLengthArc length
constraintConstraint expression. Usually same as arc_length
optionWhether the absolute distance has been selected or relative
curveCurve or Edge object already created
secondGeometrySecond geometric object
void NXOpen::Features::DatumPlaneBuilder::SetResizeDuringUpdate ( bool  resize)

Sets the resize during update
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
resizeresize during update
void NXOpen::Features::DatumPlaneBuilder::SetThreePoints ( NXOpen::Point point1,
NXOpen::Point point2,
NXOpen::Point point3,
NXOpen::Features::DatumPlaneBuilder::UseArcLength  useArcLength 
)

Sets three different points.


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
point1First point
point2Second point
point3Third point
useArcLengthSpecify points which use arclength instead of percentage of arclength
NXOpen::Features::Feature* NXOpen::Features::DatumPlaneBuilder::UpdateFeature ( )

Update the feature if the feature does not exist then create it.

Returns

Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.